Bug 248991 - Review Request: python-iniparse - A better INI parser for Python
Summary: Review Request: python-iniparse - A better INI parser for Python
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ignacio Vazquez-Abrams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 07:03 UTC by Tim Lauridsen
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 12:16:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch for spec file (1.08 KB, patch)
2007-07-25 14:05 UTC, Ignacio Vazquez-Abrams
no flags Details | Diff

Description Tim Lauridsen 2007-07-20 07:03:13 UTC
Spec URL: http://timlau.fedorapeople.org/iniparse.spec
SRPM URL: http://timlau.fedorapeople.org/iniparse-0.2-1.src.rpm
Description: 
iniparse is an INI parser for Python which is API compatible
with the standard library's ConfigParser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

Comment 1 Ignacio Vazquez-Abrams 2007-07-25 12:21:45 UTC
iniparse-0.2-1.fc7.noarch.rpm:
W: iniparse spurious-executable-perm /usr/share/doc/iniparse-0.2/index.html

iniparse-0.2-1.fc7.src.rpm:
W: iniparse strange-permission iniparse.spec 0600

Also, the package should be named "python-iniparse".

Comment 2 Tim Lauridsen 2007-07-25 13:39:32 UTC
(In reply to comment #1)
> iniparse-0.2-1.fc7.noarch.rpm:
> W: iniparse spurious-executable-perm /usr/share/doc/iniparse-0.2/index.html
> 
> iniparse-0.2-1.fc7.src.rpm:
> W: iniparse strange-permission iniparse.spec 0600
> 
I will take a look at these warnings

> Also, the package should be named "python-iniparse".

Do you know any smart way to do this, without renaming the upstream source ???



Comment 3 Ignacio Vazquez-Abrams 2007-07-25 14:05:12 UTC
Created attachment 159925 [details]
Patch for spec file

Comment 4 Tim Lauridsen 2007-07-26 09:23:55 UTC
Thanks for the patch.

Here is a new spec & srpm.
http://timlau.fedorapeople.org/python-iniparse.spec
http://timlau.fedorapeople.org/python-iniparse-0.2-2.fc7.src.rpm

Changes:
Changed name to python-iniparse.
silent rpmlint on rpm & srpm.


Comment 5 Ignacio Vazquez-Abrams 2007-07-27 12:14:00 UTC
With the package name change the docs should be under
%{_docdir}/python-iniparse-%{version}, not %{_docdir}/iniparse-%{version}. Fix
that small problem and it's approved.

Comment 6 Tim Lauridsen 2007-07-27 12:59:22 UTC
Here is a new spec & srpm.
http://timlau.fedorapeople.org/python-iniparse.spec
http://timlau.fedorapeople.org/python-iniparse-0.2-3.fc7.src.rpm

doc relocated

Comment 7 Tim Lauridsen 2007-07-30 11:06:26 UTC
New Package CVS Request
=======================
Package Name: python-iniparse
Short Description:  A better INI parser for Python
Owners: tla@rasmil.dk
Branches: EL-5 FC-6 F-7

Comment 8 Tim Lauridsen 2007-07-30 11:07:26 UTC
Ups, wrong flag

Comment 9 Tim Lauridsen 2007-07-31 16:59:27 UTC
New Package CVS Request
=======================
Package Name: python-iniparse
Short Description:  A better INI parser for Python
Owners: tla@rasmil.dk
Branches: EL-5 FC-6 F-7



Comment 10 Kevin Fenzi 2007-07-31 18:21:41 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.